<?php
/**
 * Block Patterns
 *
 * @package veterinary_dogcare
 * @since 1.0
 */

function veterinary_dogcare_register_block_patterns() {
	$veterinary_dogcare_block_pattern_categories = array(
		'veterinary-dogcare' => array( 'label' => esc_html__( 'Veterinary Dogcare', 'veterinary-dogcare' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'veterinary-dogcare' ) ),
	);

	$veterinary_dogcare_block_pattern_categories = apply_filters( 'veterinary_dogcare_veterinary_dogcare_block_pattern_categories', $veterinary_dogcare_block_pattern_categories );

	foreach ( $veterinary_dogcare_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'veterinary_dogcare_register_block_patterns', 9 );